Bug 1501414 - Role needs to be updated if their permissions changed in new version
Summary: Role needs to be updated if their permissions changed in new version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Jitendra Yejare
URL:
Whiteboard:
: 1487038 (view as bug list)
Depends On: 1458911
Blocks: 1373844
TreeView+ depends on / blocked
 
Reported: 2017-10-12 14:25 UTC by Jitendra Yejare
Modified: 2019-09-25 21:30 UTC (History)
5 users (show)

Fixed In Version: foreman-1.15.4.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:33:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21342 None None None 2017-10-16 12:12:26 UTC
Github redhataccess foreman-plugin pull 13 None None None 2017-10-19 19:04:01 UTC
Red Hat Bugzilla 1458911 medium CLOSED [RFE] Pre-canned Virt-who roles are not locked 2020-10-14 00:28:05 UTC

Internal Links: 1458911

Description Jitendra Yejare 2017-10-12 14:25:23 UTC
Description of problem:
After upgrading from 6.2 to 6.3, The number of filters in 'Oranization Admin' differs than freshly installed satellite 6.3

Fresh Satellite 6.3 has 61 filters in Organization Admin role, and
Upgraded Satellite 6.3 has 59 filters in Organization Admin role

The two missing filters in upgraded sat 6.3 are 'Key Pair' and 'Ssh key'

Version-Release number of selected component (if applicable):
Satellite 6.3 snap 19

How reproducible:
Always

Steps to Reproduce:
1. Upgrade Satellite 6.2 to 6.3
2. Have one fresh satellite 6.3
3. Compare filters of 'organization admin' role between upgraded satellite 6.3 and fresh satellite 6.3

Actual results:
Two filters are missing in organization admin role, those are:
'Key pair' and 'Ssh Key'

Expected results:
All Roles and their filters in Upgraded satellite 6.3 and fresh sat 6.3 should be same.

Comment 2 Brad Buckingham 2017-10-13 15:04:36 UTC
Marek, is this behavior expected?

Comment 3 Marek Hulan 2017-10-16 12:10:48 UTC
No, it's a bug. The fix is in progress.

Comment 4 Marek Hulan 2017-10-16 12:12:24 UTC
Created redmine issue http://projects.theforeman.org/issues/21342 from this bug

Comment 5 pm-sat@redhat.com 2017-10-16 14:19:23 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 pm-sat@redhat.com 2017-10-16 14:19:27 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 9 pm-sat@redhat.com 2017-10-19 20:19:21 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21342 has been resolved.

Comment 10 Jitendra Yejare 2017-10-25 10:14:52 UTC
Verified!

@ Satellite 6.3 snap 21

Steps:
Same as mentioned in Description

Behavior: 
The number of filters in 'Organization Admin' roles in upgraded 6.3 and freshly installed satellite are same.

Comment 11 Marek Hulan 2017-10-27 21:01:04 UTC
*** Bug 1487038 has been marked as a duplicate of this bug. ***

Comment 12 Bryan Kearney 2018-02-21 16:33:10 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.